# eric4.QScintilla.Lexers.LexerJava

Module implementing a Java lexer with some additional methods.

### Classes

LexerJava | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerJava

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerJava, Lexer

### Methods

LexerJava | Constructor
initProperties | Public slot to initialize the properties.

#### LexerJava (Constructor)

LexerJava(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerJava.initProperties

initProperties()

Public slot to initialize the properties.

Up